aboutsummaryrefslogtreecommitdiffstats
path: root/init-sh/lib.sh
diff options
context:
space:
mode:
authorYoann Vandoorselaere <yoann@mandriva.com>1999-12-01 15:51:15 +0000
committerYoann Vandoorselaere <yoann@mandriva.com>1999-12-01 15:51:15 +0000
commitb17e23b6201a9d0965662f8a4b2972ee2e570b9a (patch)
tree19f4d1013d6d12cc146049a5ef265dbcbb462672 /init-sh/lib.sh
parent043bb7a6cc19f3030075fd00c3cf0f108ec68e86 (diff)
downloadmsec-b17e23b6201a9d0965662f8a4b2972ee2e570b9a.tar
msec-b17e23b6201a9d0965662f8a4b2972ee2e570b9a.tar.gz
msec-b17e23b6201a9d0965662f8a4b2972ee2e570b9a.tar.bz2
msec-b17e23b6201a9d0965662f8a4b2972ee2e570b9a.tar.xz
msec-b17e23b6201a9d0965662f8a4b2972ee2e570b9a.zip
Ok now add the user list to audio group ( level 1 & 2 ).
lib.sh delete user list from audio group
Diffstat (limited to 'init-sh/lib.sh')
-rw-r--r--init-sh/lib.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/init-sh/lib.sh b/init-sh/lib.sh
index 499e81e..ec5e2dd 100644
--- a/init-sh/lib.sh
+++ b/init-sh/lib.sh
@@ -23,7 +23,6 @@ if [ -f /etc/security/msec/security.conf ]; then
. /etc/security/msec/security.conf
fi
-USERNAME="blah"
COMMENT="# Mandrake-Security : if you remove this comment, remove the next line too."
WaitAnswer() {
@@ -177,8 +176,15 @@ groupadd audio >& /dev/null
groupadd xgrp >& /dev/null
usermod -G xgrp xfs
-if ! /etc/security/msec/init-sh/grpuser --del audio "${USERNAME}"; then
- echo "Problem removing user \"${USERNAME}\" from group audio."
+# We aren't at install time,
+# so we delete ( temporarily ) audio user.
+
+if [ ! -f /tmp/secure.DrakX ]; then
+ for user in ${USERS_DRAKX}; do
+ if ! /etc/security/msec/init-sh/grpuser --del audio "${user}"; then
+ echo "Problem removing user \"${user}\" from group audio."
+ fi
+ done
fi